Subject: missing CRL nextUpdate field - Bug in mod_ssl (seg fault)

From: Alon Philosoph <[email-masked]>
Date: Wed, 20 Nov 2002 11:04:09 +0200

Hi,
 
When using a CRL without the nextUpdate field (you can create such CRL in
iPlanet), I get a segmentation fault (using mod_ssl-2.8.8-1.3.24).
 
This occurs in the call:
 
i = X509_cmp_current_time(X509_CRL_get_nextUpdate(crl));
 
since X509_CRL_get_nextUpdate(crl) returns NULL in this situation.